Name:          jakarta-commons-betwixt
Version:       1.0
Release:       %mkrel 1
Summary:       Java bean to XML mapping library
Group:         Development/Java
URL:           http://commons.apache.org/betwixt/
Source:        http://archive.apache.org/dist/jakarta/commons/betwixt/source/commons-betwixt-%{version}-alpha-1-src.tar.gz
Patch0:        jakarta-commons-betwixt-1.0-crosslink.patch
Patch1:        jakarta-commons-betwixt-1.0-version.patch
Patch2:        jakarta-commons-betwixt-1.0-test.patch
Patch3:        jakarta-commons-betwixt-1.0-test2.patch
License:       ASL 2.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-beanutils-javadoc
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-collections-javadoc
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-digester-javadoc
BuildRequires: apache-commons-digester-rss
BuildRequires: apache-commons-logging
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      apache-commons-beanutils
Requires:      apache-commons-collections
Requires:      apache-commons-digester
Requires:      apache-commons-logging
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Betwixt library provides an XML introspection mechanism for
mapping beans to XML in a flexible way. It is implemented using an
XMLIntrospector and XMLBeanInfo classes which are similar to the
standard Introspector and BeanInfo from the Java Beans specification.

Betwixt provides a way of turning beans into XML as well as
automatically generating digester rules in a way that can be
customized on a per type manner in the same way that the BeanInfo
mechanism can be used to customize the default introspection on a java
object.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
commons-betwixt - Java bean to XML mapping library.

This package contains javadoc for %{name}.

%prep

%setup -q -n commons-betwixt-%{version}-alpha-1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
%build

export CLASSPATH=$(build-classpath commons-logging-api commons-logging commons-digester \
  commons-digester-rss commons-collections commons-beanutils ant/ant-junit junit)
ant \
  -Dnoget=true \
  -Dbuild.sysclasspath=first \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dbeanutils.javadoc=%{_javadocdir}/apache-commons-beanutils \
  -Dcollections.javadoc=%{_javadocdir}/apache-commons-collections \
  -Ddigester.javadoc=%{_javadocdir}/apache-commons-digester \
  -Dlogging.javadoc=%{_javadocdir}/apache-commons-logging \
  dist

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -p -m 644 target/commons-betwixt-%{version}-alpha-1.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`
  done
)

(
  cd %{buildroot}%{_javadir} 
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/commons-betwixt-%{version}.jar
%{_javadir}/commons-betwixt.jar
%{_javadir}/jakarta-commons-betwixt-%{version}.jar
%{_javadir}/jakarta-commons-betwixt.jar
%doc LICENSE.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}



%changelog
* Thu Jul 28 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 130016
- Fix group
- Clean spec file

  + gil <gil>
    - imported package jakarta-commons-betwixt

